Bug 1270173 - CVE-2015-5291 CVE-2015-8036 polarssl: mbedtls: crash or remote code execution on clients using session tickets or SNI [epel-all]
CVE-2015-5291 CVE-2015-8036 polarssl: mbedtls: crash or remote code execution...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mbedtls (Show other bugs)
el6
All Linux
high Severity high
: ---
: ---
Assigned To: Morten Stevens
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-5291/CVE-2015-8036
  Show dependency treegraph
 
Reported: 2015-10-09 03:43 EDT by Martin Prpič
Modified: 2015-11-03 03:23 EST (History)
2 users (show)

See Also:
Fixed In Version: mbedtls-1.3.14-1.el5 mbedtls-1.3.14-1.el6 mbedtls-1.3.14-1.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 11:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-09 03:43:20 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2015-10-09 03:43:24 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1270170,1270173

# Description of your update
notes=Security fix for CVE-2015-5291

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1270170,1270173
Comment 2 Fedora Update System 2015-10-12 08:17:46 EDT
mbedtls-2.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e22bb33731
Comment 3 Fedora Update System 2015-10-12 09:19:28 EDT
mbedtls-1.3.14-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fdf8e54f23
Comment 4 Fedora Update System 2015-10-12 09:19:52 EDT
mbedtls-1.3.14-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e477a96c0d
Comment 5 Fedora Update System 2015-10-12 09:20:02 EDT
mbedtls-1.3.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3c68615361
Comment 6 Fedora Update System 2015-10-12 13:47:45 EDT
mbedtls-1.3.14-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mbedtls'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fdf8e54f23
Comment 7 Fedora Update System 2015-10-12 14:49:29 EDT
mbedtls-1.3.14-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mbedtls'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-e477a96c0d
Comment 8 Fedora Update System 2015-10-12 14:49:45 EDT
mbedtls-1.3.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update mbedtls'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-3c68615361
Comment 9 Fedora Update System 2015-10-28 11:50:38 EDT
mbedtls-1.3.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-28 12:25:37 EDT
mbedtls-1.3.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-29 10:52:55 EDT
mbedtls-1.3.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.